TENN™ “Temporal Event Neural Networks” Non-Commercial License Agreement

<!-- TENN’s Version 1.0 Release Date: Jan 2, 2025 -->

Definitions:

1. “Agreement” means the terms and conditions for use, reproduction, distribution and modification of the TENN’s Materials set forth herein.

2. “BrainChip” or “we” means BrainChip, Inc.

3. “Documentation” means the specifications, manuals and documentation accompanying TENN’s Materials distributed by BrainChip.

4. “Licensee” or “you” means you, or your employer or any other person or entity (if you are entering into this Agreement on such
person or entity’s behalf), of the age required under applicable laws, rules or regulations to provide legal consent and that has
legal authority to bind your employer or such other person or entity if you are entering in this Agreement on their behalf.

5. “Non-Profit Academic Research” means practicing, making, using, improving upon, importing and exporting
(but not selling, leasing or otherwise monetizing) academic or scholarly research, for individual (personal)
or academic institutional research purposes, in good faith, and expressly excludes, without limitation,
purposes that are intended to (or result in, whether by intent or otherwise):
(i) create a commercial advantage for you; (ii) generate monetary compensation for products or services;
(iii) generate commercialization rights for you; (iv) be used in an ongoing business concern;
or (v) result in an ongoing business concern obtaining any intellectual property rights in any research or results linked to the Non-Profit Academic Research.

6. “TENN” means state-space based neural network models and software and algorithms including without limitation the TENN’s algorithm,
PyTorch code that uses the algorithm to train specific AI models like Large Language Model, Automatic Speech Recognition, Text to Speech,
Keyword Spotting or Audio Denoising, and the specific trained models, machine-learning model code, trained model weights,
inference-enabling code, training-enabling code, fine-tuning enabling code and other elements of the foregoing distributed by BrainChip at https://github.com/Brainchip-Inc.

7. “TENN Materials” means, collectively, BrainChip’s proprietary TENN’s Version 1.0 and Documentation (and any portion thereof) made available under this Agreement.

By clicking “I Accept” below or by accessing, using, or distributing any portion or element of the TENN Materials,
you agree to be bound by this Agreement as may be revised from time to time at BrainChip’s sole discretion.
If you do not agree to the terms and conditions of this Agreement, do not install or use the TENN Materials.

1. License Rights and Redistribution.

   a. Grant of Rights. Subject to the terms and conditions of this Agreement, BrainChip grants you a non-exclusive, worldwide, non-transferable, royalty-free, and limited license to use, reproduce, distribute, copy, create derivative works of, and modify the TENN Materials solely for Non-Profit Academic Research purposes. b. Redistribution and Use.

         i. If you distribute or make available the TENN Materials (or any derivative works thereof), or a product or service (including another AI model) that contains any of them, you shall (A) provide a copy of this Agreement with any such TENN Materials; and (B) prominently display “Built with TENN” on a related website, user interface, blogpost, about page, or product documentation. If you use the TENN Materials or any outputs or results of the TENN Materials to create, train, fine tune, or otherwise improve an AI model, which is distributed or made available for Non-Profit Academic Research purposes, you shall also include “TENN” at the beginning of any such AI model name.

         ii. If you receive TENN Materials, or any derivative works thereof, from a Licensee as part of an integrated end user product, then Section 2 of this Agreement will not apply to you.

         iii. You must retain in all copies of the TENN Materials that you distribute the following attribution notice within a “Notice” text file distributed as a part of such copies: “TENN 1.0 is licensed under the TENN Non-Commercial License Agreement, Copyright © BrainChip, Inc. All Rights Reserved.”

         iv. Your use of the TENN Materials must comply with applicable laws and regulations (including trade compliance laws and regulations).

2. Additional Commercial Terms. If you would like to use the TENN Materials for any commercial for profit use other than for Non-Profit Academic Research purposes, you must request a commercial license from BrainChip, which BrainChip may grant to you in its sole discretion. Notwithstanding the foregoing, you are hereby authorized to use TENNs for commercial purposes at no cost if the training models are being deployed to a BrainChip chip or any chip that has BrainChip’s Akida™ AI technology incorporated inside.

3. Disclaimer of Warranty. UNLESS REQUIRED BY APPLICABLE LAW, THE TENN MATERIALS AND ANY OUTPUT AND RESULTS THEREFROM ARE PROVIDED ON AN “AS IS” BASIS, WITHOUT WARRANTIES OF ANY KIND, AND BRAINCHIP DISCLAIMS ALL WARRANTIES OF ANY KIND, BOTH EXPRESS AND IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE. YOU ARE SOLELY RESPONSIBLE FOR DETERMINING THE APPROPRIATENESS OF USING OR REDISTRIBUTING THE TENN MATERIALS AND ASSUME ANY RISKS ASSOCIATED WITH YOUR USE OF THE TENN MATERIALS AND ANY OUTPUT AND RESULTS.

4. Limitation of Liability. IN NO EVENT WILL BRAINCHIP OR ITS AFFILIATES BE LIABLE UNDER ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, TORT, NEGLIGENCE, PRODUCTS LIABILITY, OR OTHERWISE, ARISING OUT OF THIS AGREEMENT, FOR ANY LOST PROFITS OR ANY INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL, EXEMPLARY OR PUNITIVE DAMAGES, EVEN IF BRAINCHIP OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF ANY OF THE FOREGOING.

5. Intellectual Property.

   a. Trademark Licenses No trademark licenses are granted under this Agreement, and in connection with the TENN Materials, neither BrainChip nor Licensee may use any name or mark owned by or associated with the other or any of its affiliates, except as required for reasonable and customary use in describing and redistributing the TENN Materials or as set forth in this Section 5(a). BrainChip hereby grants you a license to use “TENN” trademark (the “Mark”) solely as required to comply with the last sentence of Section 1.b.i. You will comply with BrainChip’s brand guidelines, which are available at branding@brainchip.com. All goodwill arising out of your use of the Mark will inure to the benefit of BrainChip.

   b. Ownership of Derivative Works BrainChip retains sole and exclusive ownership of the TENN Materials, including all pre-existing derivative works created by or on behalf of BrainChip, and all associated intellectual property rights. Any derivative works or modifications created by you that are based on, incorporate, or otherwise derive from the TENN Materials shall be deemed derivative works of the TENN Materials and shall be owned exclusively by BrainChip. Subject to the terms of this Agreement, BrainChip grants you a limited, non-exclusive, non-transferable, royalty-free license to use any such derivative works or modifications created by you solely for Non-Profit Academic Research purposes. This license does not grant you any right to distribute, commercialize, sublicense, or otherwise exploit such derivative works or modifications, except as expressly permitted under this Agreement or with prior written consent from BrainChip. Nothing in this Section 5(b) shall be construed to grant you ownership of the TENN Materials, any pre-existing derivative works created by or on behalf of BrainChip, or any associated intellectual property rights.

   c. Termination of License upon Litigation and Indemnification If you initiate any legal action, including but not limited to litigation, arbitration, or other proceedings, against BrainChip or any third party alleging that the TENN Materials, their outputs or results, or any portion thereof infringe upon intellectual property or other rights owned or licensable by you, all licenses granted to you under this Agreement shall immediately terminate as of the date such legal action is filed. You shall indemnify, defend, and hold BrainChip, its affiliates, and their respective officers, directors, employees, and agents harmless from and against any claims, liabilities, damages, costs, or expenses, including reasonable attorneys’ fees, arising out of or related to your use, distribution, or modification of the TENN Materials.

6. Term and Termination. The term of this Agreement will commence upon your acceptance of this Agreement or access to the TENN Materials and will continue in full force and effect until terminated in accordance with the terms and conditions herein. BrainChip may terminate this Agreement if you are in breach of any term or condition of this Agreement. Upon termination of this Agreement, you shall delete and cease use of the TENN Materials. Sections 3, 4 and 7 shall survive the termination of this Agreement.

7. Governing Law and Jurisdiction. This Agreement will be governed and construed under the laws of the State of California without regard to choice of law principles, and the UN Convention on Contracts for the International Sale of Goods does not apply to this Agreement. The courts of Southern California shall have exclusive jurisdiction of any dispute arising out of this Agreement.
